Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.nntp
Class Threader

    java.lang.Object
      org.apache.commons.net.nntp.Threader

    public class Threader

extends Object

Constructor Summary
`Threader()`

Method Summary
`Threadable` | `thread(Iterable<? extends Threadable> messages)` The client passes in a list of Iterable objects, and the Threader constructs a connected 'graph' of messages
`Threadable` | `thread(List<? extends Threadable> messages)` The client passes in a list of Threadable objects, and the Threader constructs a connected 'graph' of messages
`Threadable` | `thread(Threadable[] messages)` Deprecated. (2.2) prefer `thread(List)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Threader

    public Threader()

Method Detail

### thread

    public Threadable thread(List<? extends Threadable> messages)

  The client passes in a list of Threadable objects, and the Threader constructs a connected 'graph' of messages

  Parameters:
    `messages` - list of messages to thread
  Returns:
    null if messages == null or root.child == null
  Since:
    2.2

### thread

    public Threadable thread(Iterable<? extends Threadable> messages)

  The client passes in a list of Iterable objects, and the Threader constructs a connected 'graph' of messages

  Parameters:
    `messages` - iterable of messages to thread
  Returns:
    null if messages == null or root.child == null
  Since:
    3.0

### thread

    @Deprecated
    public Threadable thread(Threadable[] messages)

  Deprecated. (2.2) prefer `thread(List)`

  The client passes in an array of Threadable objects, and the Threader constructs a connected 'graph' of messages

  Parameters:
    `messages` - array of messages to thread
  Returns:
    null if messages == null or root.child == null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.